Get webhook events
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/webhook-events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/webhook-events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/webhook-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"type": "ORDER_PLACED",
"apiVersion": "V1",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"body": "<string>",
"testMode": false,
"state": "<string>",
"url": "<string>",
"error": "<string>"
}
],
"total": 123,
"page": 123,
"size": 123,
"totalPages": 123
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}Webhooks
List Webhook Events
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Get webhook events with pagination and optional filtering by one or more webhook types (repeat or comma-separate the type param). The maximum page size is 100 - larger values are capped at 100.
GET
/
open-api
/
v1.0
/
webhook-events
Get webhook events
OAuth scope:
webhook_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Available options:
ORDER_PLACED, ORDER_UPDATED, GIFT_PURCHASE, PRODUCT_CREATED, PRODUCT_UPDATED, DONATION, SUBSCRIPTION_PURCHASED, SUBSCRIPTION_EXPIRED, SUBSCRIPTION_CHANGED, NEWSLETTER_SUBSCRIBED, THANK_YOU_SENT, GIFT_DRAW_STARTED, GIFT_DRAW_ENDED, PROMOTION_CREATED, PROMOTION_UPDATED, PROMOTION_STATUS_CHANGED, PLATFORM_APP_DISCONNECTED, MEMBERSHIP_POST_UPSERTED, MEMBERSHIP_SERIES_UPSERTED, MEMBERSHIP_SERIES_DELETED, MEMBERSHIP_TAG_CREATED, MEMBERSHIP_TAG_UPDATED, MEMBERSHIP_TAG_DELETED, MEMBERSHIP_TIER_UPSERTED, MEMBERSHIP_TIER_DELETED, COLLECTION_UPDATED, CART_ABANDONED_1H, CART_ABANDONED_24H, CART_ABANDONED_72H Number of elements per page. The maximum page size is 100 - larger values are capped at 100.